Core API

Price List

API to get pricelist of IAK postpaid products.

Path

MethodPath
POSTapi/v1/bill/check/:type

Path Parameters

AttributesTypeDescriptionMandatory
typeStringProduct typeNo

Available product type :

  • asuransi
  • bpjs
  • emoney
  • finance
  • gas
  • hp
  • internet
  • pajak-daerah
  • pajak-kendaraan
  • pbb
  • pdam
  • pln
  • tv

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: pricelist-pascaYes
usernameStringYour registered phone numberYes
signStringSignature. Value: md5(username+api_key+'pl')Yes
statusStringProduct status.
Value: all, active, non-active
No
provinceString34 Provinces in Indonesia, this field only for PDAM typeNo
{
  "commands" : "pricelist-pasca",
  "username" : "123123123",
  "sign"     : "6bc194c0d23c18a12f5d6919aa72bc30",
  "status"   : "all"
}

Response

AttributesTypeDescriptionMandatory
codeStringProduct codeYes
nameStringProduct nameYes
statusIntegerProduct status.
Value: 1=active, 4=non-active
Yes
feeDoubleAdmin feeYes
komisiDoubleCommision to clientYes
typeStringProduct type. See here for available typeYes
categoryStringProduct categoryYes
provinceString34 Provinces in Indonesia, this field only for PDAM typeNo
{
  "data": {
    "pasca": [
      {
        "code": "AETRA",
        "name": "AETRA",
        "status": 1,
        "fee": 2500,
        "komisi": 700,
        "type": "pdam",
        "category": "postpaid"
      },
      {
        "code": "BPJS",
        "name": "BPJS Kesehatan",
        "status": 1,
        "fee": 2000,
        "komisi": 100,
        "type": "bpjs",
        "category": "postpaid"
      }
    ]
  },
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for pricelist code explanation using Laravel.

Video thumbnail

Or you can see this video for pricelist code explanation using PHP.

Video thumbnail